/*-----------------------------------------------------------------------------
[名称]	SettingAutoBackupDlg.cpp
[概要]	バックアップ設定ダイアログクラスの実装
[備考]	なし
[履歴]	2003-04-23	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/

//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "stdafx.h"
#include "shitarabian.h"
#include "SettingAutoBackupDlg.h"
#include "BackUp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/*-----------------------------------------------------------------------------
[名称]	コンストラクタ
[機能]	インスタンスの生成。
[戻値]	なし
[備考]	なし
-----------------------------------------------------------------------------*/
CSettingAutoBackupDlg::CSettingAutoBackupDlg(CWnd* pParent /*=NULL*/)
	: COwnerTabPage(CSettingAutoBackupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSettingAutoBackupDlg)
	m_uiConsumeByDate = 0;
	m_uiInterval = 0;
	m_bEnable = FALSE;
	//}}AFX_DATA_INIT
}


/*-----------------------------------------------------------------------------
[名称]	データ変換
[機能]	CDialog::DoDataExchange() のヘルプを参照。
[戻値]	なし
[備考]	なし
-----------------------------------------------------------------------------*/
void CSettingAutoBackupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingAutoBackupDlg)
	DDX_Text(pDX, IDC_SETTING_BACKUP_CONSUMEBYDATE, m_uiConsumeByDate);
	DDX_Text(pDX, IDC_SETTING_BACKUP_INTERVAL, m_uiInterval);
	DDX_Check(pDX, IDC_SETTING_AUTOBACKUP_ENABLE, m_bEnable);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingAutoBackupDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingAutoBackupDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/*-----------------------------------------------------------------------------
[名称]	初期化処理ハンドラ
[機能]	ダイアログコントロール初期化処理。
[戻値]	オンラインヘルプCWnd::OnInitDialog()参照。
[備考]	なし
-----------------------------------------------------------------------------*/
BOOL CSettingAutoBackupDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

	m_bEnable = CBackUp::GetInstance()->GetEnable();
	m_uiInterval = CBackUp::GetInstance()->GetInterval();
	m_uiConsumeByDate = CBackUp::GetInstance()->GetConsumeByDate();
	UpdateData( FALSE );
	
	return TRUE;  // コントロールにフォーカスを設定しないとき、戻り値は TRUE となります
	              // 例外: OCX プロパティ ページの戻り値は FALSE となります
}


/*-----------------------------------------------------------------------------
[名称]	確定処理
[機能]	外部に設定を反映する。
[戻値]	なし
[備考]	なし
-----------------------------------------------------------------------------*/
void CSettingAutoBackupDlg::Confirm() 
{
	UpdateData( TRUE );
	CBackUp::GetInstance()->SetEnable( m_bEnable );
	CBackUp::GetInstance()->SetInterval( m_uiInterval );
	CBackUp::GetInstance()->SetConsumeByDate( m_uiConsumeByDate );
}
